Bug 443310 - Review Request: xfwm4-theme-nodoka - Nodoka theme for xfwm4
Review Request: xfwm4-theme-nodoka - Nodoka theme for xfwm4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 10:44 EDT by Christoph Wickert
Modified: 2011-09-26 11:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 12:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
martin.sourada: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-04-20 10:44:36 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfwm4-theme-nodoka.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfwm4-theme-nodoka-0.1-1.fc9.src.rpm
Description: The Nodoka theme for xfwm4. A clean theme featuring soft gradients and Echoey 
look and feel.
Comment 1 Christoph Wickert 2008-04-20 10:46:50 EDT
If someone could review this package quickly we might be able to make it into final.
Comment 2 Martin Sourada 2008-04-20 11:21:50 EDT
Must items:
rpmlint clean
name OK
specfile OK
follow the guidelines OK
has approved license OK
md5 correct for the temporary source on your page
package builds OK
no locales OK
no shared libs OK
owns its dirs OK

Problems:
URL was not correct so I've uploaded the sources in your stead to speed up the
review. (https://fedorahosted.org/releases/n/o/nodoka/xfwm4-theme-nodoka-0.1.tar.gz)
missing rm -rf $RPM_BUILD_ROOT in %%install section

Once you fix the last issue, I'll approve it.
Comment 3 Martin Sourada 2008-04-20 11:26:51 EDT
Oh and I missed the srpm rpmlint output:
xfwm4-theme-nodoka.src: E: no-cleaning-of-buildroot %install
xfwm4-theme-nodoka.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
line 30)

Please fix the warning as well.
Comment 4 Christoph Wickert 2008-04-20 11:45:10 EDT
(In reply to comment #2)
> URL was not correct so I've uploaded the sources in your stead to speed up the
> review. 
thanks

(In reply to comment #3)
> Oh and I missed the srpm rpmlint output:
> xfwm4-theme-nodoka.src: E: no-cleaning-of-buildroot %install
> xfwm4-theme-nodoka.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 30)

My bad, I did not rpmlint the package. Both fixed in
http://cwickert.fedorapeople.org/review/xfwm4-theme-nodoka.spec
You want me to do another SRPM?
Comment 5 Martin Sourada 2008-04-20 11:50:31 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > URL was not correct so I've uploaded the sources in your stead to speed up the
> > review. 
> thanks
> 
> (In reply to comment #3)
> > Oh and I missed the srpm rpmlint output:
> > xfwm4-theme-nodoka.src: E: no-cleaning-of-buildroot %install
> > xfwm4-theme-nodoka.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> > line 30)
> 
> My bad, I did not rpmlint the package. Both fixed in
> http://cwickert.fedorapeople.org/review/xfwm4-theme-nodoka.spec
> You want me to do another SRPM?

Nice, that's acceptable. Would be better though, to bump the release number and
mention the fixes in the %%changelog (and post new srpm here), but I do not
require it.

ACCEPTED
Comment 6 Christoph Wickert 2008-04-20 12:04:30 EDT
(In reply to comment #5)
> Would be better though, to bump the release number and
> mention the fixes in the %%changelog (and post new srpm here), but I do not
> require it.
> 
I usually do this but I found these changes to trivial and did not want to do
another mockbuild.

New Package CVS Request
=======================
Package Name: xfwm4-theme-nodoka
Short Description: Nodoka theme for xfwm4
Owners: cwickert
Branches: F-7 F-8 F-9
InitialCC: mso
Cvsextras Commits: no
Comment 7 Kevin Fenzi 2008-04-22 13:36:22 EDT
Why deny cvsextras commits here? Any reason? 

cvs done. 
Comment 8 Christoph Wickert 2008-04-22 13:56:46 EDT
(In reply to comment #7)
> Why deny cvsextras commits here? Any reason? 

Other people can fix whatever they want on all my packages, but for the artwork
I'd like to be in control, since I'm maintaining it upstream too.
Comment 9 Fedora Update System 2008-04-27 16:43:11 EDT
xfwm4-theme-nodoka-0.1-1.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-04-29 16:58:11 EDT
xfwm4-theme-nodoka-0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Christoph Wickert 2008-05-04 12:23:03 EDT
xfwm4-theme-nodoka-0.1-1.fc9 and xfwm4-4.4.2-3.fc9 were successfully tagged into
f9-final by notting on Wed, 30 Apr 2008 18:01:29, so they will be available in
F9. Closing.
Comment 12 Orion Poplawski 2011-05-20 11:43:04 EDT
Package Change Request
======================
Package Name: xfwm4-theme-nodoka
New Branches: el6
Owners: cwickert mso
InitialCC:
Comment 13 Gwyn Ciesla 2011-09-26 11:42:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.